Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxParameters

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxParametersImpl

    public interface TaxParameters

extends Belonging

Currently defined locations include: ShipTo ShipFrom OrderAcceptance OrderOrigin Currently defined order-based attributes include: (listed with "name" (type) (default) explanation. None are required.) freight (com.beasys.commerce.axiom.units.Price)(0) commit (Boolean) (True) store the tax in the audit file or not credit (Boolean) (False) for credit transactions titlePassage(Char) (D)-O for point of Origin, D for point of Delivery date (java.sql.Date) (current system Date) date of tax taxType (Character) (S) S for sales tax U for use tax companyID (String) (PlaceHolder) The name of the source company for the transaction overrideTax (Double) (0) The override tax rate as a fraction, 0.0 means no override sellerRegistrationNumber (String) (null) the seller registration number, used in world tax Attribute: location

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Map

See Also
  `TaxParametersHome`, `TaxParametersImpl`

Field Summary
`static String` | `BUSINESSLOCATIONCODE`
`static String` | `BUYERREGISTRATIONNUMBER`
`static String` | `COMMIT`
`static String` | `COMPANYID`
`static String` | `COUNTRYOFORIGIN`
`static String` | `CREDIT`
`static String` | `CURRENCY`
`static String` | `DATE`
`static String` | `DELIVERYTERMS`
`static String` | `DISTANCESALEINDICATOR`
`static String` | `DOCUMENTNUMBER`
`static String` | `FREIGHT`
`static String` | `MODEOFTRANSPORT`
`static String` | `NETMASS`
`static String` | `NOTC`
`static String` | `ORDERACCEPTANCE`
`static String` | `ORDERORIGIN`
`static String` | `REGIONOFORIGINORDESTINATION`
`static String` | `SELLERREGISTRATIONNUMBER`
`static String` | `SHIPFROM`
`static String` | `SHIPTO`
`static String` | `STATISTICALPROCEDURECODE`
`static String` | `TAXDEBUG`
`static String` | `TAXSELPARM`
`static String` | `TAXTYPE`
`static String` | `TITLEPASSAGE`
`static String` | `TRANSACTIONTYPE`
`static String` | `WTCODE`

Method Summary
`void` | `addAttrib(String name, Object obj)` adds an attribute to the attributes in TaxParameter.
`void` | `clearLocationMap()` Removes all mappings from this map (optional operation).
`boolean` | `equalsLocationMap(Object object)` Compares the specified object with this map for equality.
`Object` | `getAttrib(String name)` returns an object that has the given string as attirbute.
`com.beasys.commerce.axiom.contact.Address` | `getLocation(Object key)` Returns the value to which this map maps the specified key.
`Map` | `getLocationMap()` Returns the entire map
`TreeMap` | `getOrderAttribs()` For ease of use, in case the same parameters need to be reused.
`boolean` | `isLocationMapEmpty()` Returns true if this map contains no key-value mappings.
`boolean` | `locationMapContainsKey(Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Returns true if this map maps one or more keys to the specified value.
`Set` | `locationMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `locationMapHashCode()` Returns the hash code value for this map.
`Iterator` | `locationMapIterator()` Returns an iterator for this map
`Set` | `locationMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `locationMapSize()` Returns the number of key-value mappings in this map.
`Collection` | `locationMapValues()` Returns a collection view of the values contained in this map.
`com.beasys.commerce.axiom.contact.Address` | `putLocation(Object key, com.beasys.commerce.axiom.contact.Address element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putLocationMap(Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeLocation(Object key)` Removes the mapping for this key from this map if present (optional operation).
`void` | `setLocationMap(Map map)` Sets the entire map
`void` | `setOrderAttribs(TreeMap orderAttribs)` For ease of use, if desired, the entire set of attributes may be set.

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### SHIPTO

    static final String SHIPTO

See Also
  Constants Summary

### SHIPFROM

    static final String SHIPFROM

See Also
  Constants Summary

### ORDERACCEPTANCE

    static final String ORDERACCEPTANCE

See Also
  Constants Summary

### ORDERORIGIN

    static final String ORDERORIGIN

See Also
  Constants Summary

### COMMIT

    static final String COMMIT

See Also
  Constants Summary

### CREDIT

    static final String CREDIT

See Also
  Constants Summary

### TITLEPASSAGE

    static final String TITLEPASSAGE

See Also
  Constants Summary

### COMPANYID

    static final String COMPANYID

See Also
  Constants Summary

### BUSINESSLOCATIONCODE

    static final String BUSINESSLOCATIONCODE

See Also
  Constants Summary

### DATE

    static final String DATE

See Also
  Constants Summary

### TAXTYPE

    static final String TAXTYPE

See Also
  Constants Summary

### CURRENCY

    static final String CURRENCY

See Also
  Constants Summary

### FREIGHT

    static final String FREIGHT

See Also
  Constants Summary

### TRANSACTIONTYPE

    static final String TRANSACTIONTYPE

See Also
  Constants Summary

### WTCODE

    static final String WTCODE

See Also
  Constants Summary

### DOCUMENTNUMBER

    static final String DOCUMENTNUMBER

See Also
  Constants Summary

### DISTANCESALEINDICATOR

    static final String DISTANCESALEINDICATOR

See Also
  Constants Summary

### MODEOFTRANSPORT

    static final String MODEOFTRANSPORT

See Also
  Constants Summary

### COUNTRYOFORIGIN

    static final String COUNTRYOFORIGIN

See Also
  Constants Summary

### REGIONOFORIGINORDESTINATION

    static final String REGIONOFORIGINORDESTINATION

See Also
  Constants Summary

### DELIVERYTERMS

    static final String DELIVERYTERMS

See Also
  Constants Summary

### NOTC

    static final String NOTC

See Also
  Constants Summary

### TAXSELPARM

    static final String TAXSELPARM

See Also
  Constants Summary

### STATISTICALPROCEDURECODE

    static final String STATISTICALPROCEDURECODE

See Also
  Constants Summary

### NETMASS

    static final String NETMASS

See Also
  Constants Summary

### SELLERREGISTRATIONNUMBER

    static final String SELLERREGISTRATIONNUMBER

See Also
  Constants Summary

### BUYERREGISTRATIONNUMBER

    static final String BUYERREGISTRATIONNUMBER

See Also
  Constants Summary

### TAXDEBUG

    static final String TAXDEBUG

See Also
  Constants Summary

Method Detail

### getLocationMap

    Map getLocationMap()

  Returns the entire map

### setLocationMap

    void setLocationMap(Map map)

  Sets the entire map

### locationMapIterator

    Iterator locationMapIterator()

  Returns an iterator for this map

### clearLocationMap

    void clearLocationMap()

  Removes all mappings from this map (optional operation).

### locationMapContainsKey

    boolean locationMapContainsKey(Object key)

  Returns true if this map contains a mapping for the specified key.

### locationMapContainsValue

    boolean locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)

  Returns true if this map maps one or more keys to the specified value.

### locationMapEntrySet

    Set locationMapEntrySet()

  Returns a set view of the mappings contained in this map.

### equalsLocationMap

    boolean equalsLocationMap(Object object)

  Compares the specified object with this map for equality.

### getLocation

    com.beasys.commerce.axiom.contact.Address getLocation(Object key)

  Returns the value to which this map maps the specified key.

### locationMapHashCode

    int locationMapHashCode()

  Returns the hash code value for this map.

### isLocationMapEmpty

    boolean isLocationMapEmpty()

  Returns true if this map contains no key-value mappings.

### locationMapKeySet

    Set locationMapKeySet()

  Returns a set view of the keys contained in this map.

### putLocation

    com.beasys.commerce.axiom.contact.Address putLocation(Object key,
                                                          com.beasys.commerce.axiom.contact.Address element)

  Associates the specified value with the specified key in this map (optional operation).

### putLocationMap

    void putLocationMap(Map map)

  Copies all of the mappings from the specified map to this map (optional operation).

### removeLocation

    com.beasys.commerce.axiom.contact.Address removeLocation(Object key)

  Removes the mapping for this key from this map if present (optional operation).

### locationMapSize

    int locationMapSize()

  Returns the number of key-value mappings in this map.

### locationMapValues

    Collection locationMapValues()

  Returns a collection view of the values contained in this map.

### addAttrib

    void addAttrib(String name,
                   Object obj)

  adds an attribute to the attributes in TaxParameter. If a map does not exist, it will be created. Address attributes should be set via the accessors to the location collection.

### getAttrib

    Object getAttrib(String name)

  returns an object that has the given string as attirbute. If the attribute does not exist, then it returns null.

### setOrderAttribs

    void setOrderAttribs(TreeMap orderAttribs)

  For ease of use, if desired, the entire set of attributes may be set.

### getOrderAttribs

    TreeMap getOrderAttribs()

  For ease of use, in case the same parameters need to be reused. Note that the locations collection is not included in the treemap returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved